import sys
from PyQt4 import QtCore, QtGui

from mainGUI import Ui_windowMain

class MyForm(QtGui.QMainWindow):
    def __init__ (self, parent=None):
        QtGui.QWidget.__init__(self, parent)
        self.ui = Ui_windowMain()
        self.ui.setupUi(self)
        self.ui.btnQuit.clicked.connect(self.Quit)
        self.ui.btnAdd.clicked.connect(self.Add)

    def Add(self):
        number1 = self.ui.txtNumber1.text()
        number2 = self.ui.txtNumber2.text()
        total = int(number1) + int(number2)
        self.ui.txtResult.setText(str(total))
    
    def Quit(self):
        sys.exit(0)


if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    myapp = MyForm()
    myapp.show()
    sys.exit(app.exec_())
